export default _sfc_main;
declare const _sfc_main: import("vue").DefineComponent<{
    theme: {
        type: StringConstructor;
        default: string;
    };
    theDateInfo: {
        type: ObjectConstructor;
        default: () => {};
    };
    scaleValue: {
        type: ObjectConstructor;
        default: () => {};
    };
    fontSize: {
        type: NumberConstructor;
        default: number;
    };
    allDimensions: {
        type: ArrayConstructor;
        default: () => any[];
    };
}, {
    visible: import("vue").Ref<boolean>;
    requestLoading: import("vue").Ref<boolean>;
    pagination: {
        current: number;
        pageSize: number;
        total: number;
        showSizeChanger: boolean;
        showQuickJumper: boolean;
        showLessItems: boolean;
        showTotal: (total: any) => string;
    };
    columns: import("vue").Ref<any[]>;
    dataSource: import("vue").Ref<any[]>;
    wrapClassName: import("vue").ComputedRef<string>;
    detailBodyStyle: import("vue").ComputedRef<{
        padding: string;
        height?: undefined;
        overflow?: undefined;
        paddingTop?: undefined;
    } | {
        height: string;
        overflow: string;
        paddingTop: string;
        padding?: undefined;
    }>;
    isMobile: boolean;
    urlJsonStr: import("vue").Ref<string>;
    drillDetailUrl: import("vue").Ref<string>;
    isIndFullScreen: import("vue").Ref<boolean>;
    tableFontSize: import("vue").ComputedRef<string>;
    tableScroll: import("vue").Ref<{
        x: string;
    }>;
    tableRef: import("vue").Ref<any>;
    customModalRef: import("vue").Ref<any>;
    isLoadedTable: import("vue").Ref<boolean>;
    isShowCustomModal: import("vue").Ref<boolean>;
    defaultValue: string;
    searchLoading: import("vue").Ref<boolean>;
    downloading: import("vue").Ref<boolean>;
    handleTableChange: (_page: any, _filters: any, sorter: any) => void;
    handlePageChange: (current: any, pageSize: any) => void;
    getContainer: () => Element;
    onDetailCancel: () => void;
    toggleFullScreen: () => void;
    handleExport: () => Promise<void>;
}, any, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    theme: {
        type: StringConstructor;
        default: string;
    };
    theDateInfo: {
        type: ObjectConstructor;
        default: () => {};
    };
    scaleValue: {
        type: ObjectConstructor;
        default: () => {};
    };
    fontSize: {
        type: NumberConstructor;
        default: number;
    };
    allDimensions: {
        type: ArrayConstructor;
        default: () => any[];
    };
}>>, {
    fontSize: number;
    theme: string;
    scaleValue: Record<string, any>;
    theDateInfo: Record<string, any>;
    allDimensions: unknown[];
}>;
